Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Which package do I need
Which package do I need [message #885367] Tue, 12 June 2012 22:04 Go to next message
Michael Jolly is currently offline Michael JollyFriend
Messages: 9
Registered: June 2012
Junior Member
Hello, I'm new to eclipse and am trying to find a IDE/Compiler package that will work with Java and C++. I'm just confused about all of the download options on the downloads page. Can somebody offer some assistance and let me know if there is one download that will do both of those? I recently attempted to use jGrasp, but I can't for the life of me get that to work. A buddy suggested I download xCode, but that didn't help matters. So, I think eclipse is my answer, I'm just confused about which download I need. Thanks in advance.
Re: Which package do I need [message #885370 is a reply to message #885367] Tue, 12 June 2012 22:06 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3245
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 6/12/2012 4:04 PM, Michael Jolly wrote:
> Hello, I'm new to eclipse and am trying to find a IDE/Compiler package
> that will work with Java and C++. I'm just confused about all of the
> download options on the downloads page. Can somebody offer some
> assistance and let me know if there is one download that will do both of
> those? I recently attempted to use jGrasp, but I can't for the life of
> me get that to work. A buddy suggested I download xCode, but that didn't
> help matters. So, I think eclipse is my answer, I'm just confused about
> which download I need. Thanks in advance.

You'll want to download either Eclispse IDE for Java Developers to get
the Java stuff or Eclipse IDE for C/C++ Developers to get the C/C++
stuff. Then, use Help -> Install New Software to get whichever one you
did not start with.
Re: Which package do I need [message #885381 is a reply to message #885370] Tue, 12 June 2012 22:33 Go to previous messageGo to next message
Michael Jolly is currently offline Michael JollyFriend
Messages: 9
Registered: June 2012
Junior Member
I'll be honest, I'm a complete moron. I did google it actually before I posted and came across the same answer you just gave me, I went there both times but don't know how to figure out how to add the C++ package.
Re: Which package do I need [message #885386 is a reply to message #885367] Tue, 12 June 2012 22:46 Go to previous messageGo to next message
Michael Jolly is currently offline Michael JollyFriend
Messages: 9
Registered: June 2012
Junior Member
The available software screen is blank. I can add a website, I tried eclipse.org and it didn't work. I tried eclipse.org/downloads and got nothing. I then tried the link to get me to the C++ download and got nothing there either. I don't know what to do once I'm at the install new software screen.
Re: Which package do I need [message #885407 is a reply to message #885381] Tue, 12 June 2012 23:54 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3245
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 6/12/2012 4:33 PM, Michael Jolly wrote:
> I'll be honest, I'm a complete moron. I did google it actually before I
> posted and came across the same answer you just gave me, I went there
> both times but don't know how to figure out how to add the C++ package.

I abandoned C/C++ long ago and have never attempted to use Eclipse for
it, so I haven't tried to gain access to that stuff. However, I know
that many do. You've just hit a lull in the responses, but someone will
be along very soon to enlighten you about this. It's a common thing to
do. (I do install other stuff this way, just not major Eclipse
functionality because I only do Java/JEE and so am content with Eclipse
IDE for Java EE Developers.) Sorry.
Re: Which package do I need [message #885432 is a reply to message #885386] Wed, 13 June 2012 01:28 Go to previous messageGo to next message
David Wegener is currently offline David WegenerFriend
Messages: 1348
Registered: July 2009
Senior Member
On 06/12/2012 05:46 PM, Michael Jolly wrote:
> The available software screen is blank. I can add a website, I tried
> eclipse.org and it didn't work. I tried eclipse.org/downloads and got
> nothing. I then tried the link to get me to the C++ download and got
> nothing there either. I don't know what to do once I'm at the install
> new software screen.
If you downloaded one of the packages from the Eclipse download page,
the Install New Software page should have a list of update sites in the
drop down list at the top of the page. The Indigo update sight is:
http://download.eclipse.org/releases/indigo
Re: Which package do I need [message #885487 is a reply to message #885432] Wed, 13 June 2012 05:26 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 2337
Registered: July 2009
Senior Member
From the Workbench User Guide: http://help.eclipse.org/indigo/topic/org.eclipse.platform.doc.user/tasks/tasks-124.htm

---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: Which package do I need [message #885822 is a reply to message #885487] Wed, 13 June 2012 16:57 Go to previous messageGo to next message
Michael Jolly is currently offline Michael JollyFriend
Messages: 9
Registered: June 2012
Junior Member
Thanks a lot for the help David Wegener. I was totally missing the drop down arrow at the side, I feel like a complete idiot now. Thanks again for helping.
Re: Which package do I need [message #885824 is a reply to message #885822] Wed, 13 June 2012 16:59 Go to previous message
Michael Jolly is currently offline Michael JollyFriend
Messages: 9
Registered: June 2012
Junior Member
No Message Body

[Updated on: Wed, 13 June 2012 17:21]

Report message to a moderator

Previous Topic:Eclipse and Runable Jar work but java.exe does not
Next Topic:Eclipse
Goto Forum:
  


Current Time: Thu Nov 27 11:58:53 GMT 2014

Powered by FUDForum. Page generated in 0.10790 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software